%{?nodejs_find_provides_and_requires}

%global packagename gulp-mocha
%global enable_tests 1

Name:		nodejs-gulp-mocha
Version:	2.2.0
Release:	1%{?dist}
Summary:	Run Mocha tests

License:	MIT
URL:		https://github.com/sindresorhus/gulp-mocha
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(gulp-util)
BuildRequires:	npm(plur)
BuildRequires:	npm(resolve-from)
BuildRequires:	npm(through)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(temp)
%endif

%description
Run Mocha tests


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%nodejs_fixdep resolve-from

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jul 27 2016 Jared Smith <jsmith@fedoraproject.org> - 2.2.0-1
- Initial packaging
